GDAL-RASTER-READ(1)

NAME
gdal-raster-read - Read a raster dataset (pipeline only)

Added in version 3.11.

DESCRIPTION

The read operation is for use in a gdal pipeline only, and reads a single input raster dataset. This is the first step of a pipeline.

SYNOPSIS

    * read [OPTIONS] <INPUT>
    ------------------------
    Read a raster dataset.
    Positional arguments:
      -i, --input <INPUT>                  Input raster datasets [required]
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>  Input formats [may be repeated]
      --oo, --open-option <KEY>=<VALUE>    Open options [may be repeated]

STANDARD OPTIONS

--if, --input-format <format>
    Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

    May be repeated.

--oo, --open-option <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

EXAMPLES

  Example 1: Read a GeoTIFF file

    $ gdal raster pipeline read input.tif ! ... [other commands here] ...

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026